Attribute VB_Name = "Module1"
Private Declare Function GetSystemMetrics _
   Lib "user32" (ByVal nIndex As Long) As Long

Private Declare Function GetWindowLong Lib _
  "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, _
   ByVal nIndex As Long) As Long

Private Const SM_CXFULLSCREEN = 16
Private Const SM_CYFULLSCREEN = 17

Public Function FormCenter(frmObj As Form) As Boolean



Dim lLeft As Long
Dim lTop As Long

On Error Resume Next

If frmObj.ScaleMode <> vbTwips Then Exit Function

lLeft = (Screen.TwipsPerPixelX * _
  GetSystemMetrics(SM_CXFULLSCREEN)) / 2
lLeft = lLeft - (frmObj.Width / 2)

lTop = (Screen.TwipsPerPixelY * _
  GetSystemMetrics(SM_CYFULLSCREEN)) / 2
lTop = lTop - (frmObj.Height / 2)

frmObj.Move lLeft, lTop

FormCenter = Err.Number = 0 And Err.LastDllError = 0

End Function

